Ubuntu

[i845] Intrepid Compiz freezes on login for i845

Reported by jerrylamos on 2008-08-19
This bug report is a duplicate of:  Bug #541492: MASTER: [i845] GPU lockup. Edit Remove
172
This bug affects 28 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
xf86-video-intel
In Progress
Critical
compiz (Ubuntu)
Medium
Michael Vogt
Nominated for Karmic by PatrickSCarrroll
Intrepid
Medium
Michael Vogt
Jaunty
Medium
Michael Vogt
xserver-xorg-video-intel (Ubuntu)
High
Unassigned
Nominated for Karmic by PatrickSCarrroll
Intrepid
Undecided
Unassigned
Jaunty
High
Unassigned
yelp (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by PatrickSCarrroll
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned

Bug Description

Gnome on Intrepid Alpha 4 freezes IBM Thinkpad R31

TEST CASE:
1. use fresh intrepid (via alternate install or safe graphics mode) on a system with intel i830MG or i845G
2. start compiz (e.g. via terminal by typing "compiz")
3. verify that it freezes

4. install the compiz update from intrepid-proposed
5. start compiz
6. verify that it refuses to start and that the system does not freeze

----

- Alpha 3 Gnome Ubuntu ran O.K. (for an Alpha)
- Alpha 4 KDE runs O.K.
- Alpha 4 Xubuntu runs O.K.

Alpha 4 CD Live boots until brown screen with cursor, then locks up about the time Gnome should load the background. Keyboard dead, can't do anything, display is either brown with cursor or black with cursor.

Installed Alpha 3 20080812 and put on 234 updates. Fails the same way as 20080818 Alpha 4.

Installed Alpha 3 and put on 217 updates, omitting 17 Gnome updates. Runs O.K. (as I enter this bug).

Conclusion (after lots of installs and trying different updates) Gnome updates cause Ubuntu fail on Thinkpad R31.

Let me know if I can try anything or look up any logs. I spent quite a while around /var/log and didn't see anything useful. Method is to install Alpha 3, put on 234 updates (takes quite a while), re-boot which fails, then bring up CD Live and try to find some evidence left on the hard drive.....

Thanks, Jerry

WORKAROUND:
get CD Live to boot by watching for when X windows initiated, quick do a couple
Ctr+Alt+F1 for command line, then
sudo apt-get remove compiz
sudo apt-get remove compiz-core
Ctrl+Alt+F7 to continue.

On install, check to see if it failed. It did. Boot in rescue mode
select root command line
sudo apt-get remove comp;iz
sudo apt-get remove compiz-core
exit
resume
then boots to Gnome desktop. After removal, then the install just normally boots to desktop O.K.

Related branches

jerrylamos (jerrylamos) wrote :

Verified Gnome 2 is the version that fails on IBM Thinkpad R31.

With all other Ubuntu Intrepid Ibex updates on Ubuntu except Gnome 2, R31 runs O.K. Alpha 4 Xubuntu and Kubuntu run O.K. Alpha 3 runs O.K. on the R31.

With Alpha 4 Ubuntu CD Live including Gnome 2, verified by booting on a Compaq, booting on R31 proceeds as expected until the Gnome background is supposed to load. All activity ceases, the screen never changes, nothing on the keyboard works, cannot get any logs or any data from the CD Live. The X window cursor moves however none of the buttons work. Ctrl-Alt-Backspace doesn't work. Ctrl-Alt-F1 or F2 don't work. Ctr-Alt-Del doesn't work. Power Off does....

One way to get data is to install Alpha 3, update everything but Gnome 2, verify it runs O.K. I've done that. Then put on Gnome 2 from the updates. Reboot gets the problem as stated in the bug. At that point I could bring up Alpha 3 which is installed as a dual boot, mount the failed Alpha 4 Gnome 2 install, and look for logs or debug messages or whatever. As an ordinary user, I don't know what evidence Gnome would leave if any about the failure.

Thanks for any suggestions. Jerry

jerrylamos (jerrylamos) wrote :

Alpha 5 kernel 2.6.27-2 runs O.K. however daily build 20080916 fails again with black screen where the Gnome background should appear.

Jerry

MarkN (mark-needham) wrote :

Also, power off the only solution on a Compaq D51S with 2.6.27-3. Gnome-panel runs OK from terminal prompt. Log suggest gnome-wm.desktop failed to register.

what logs/details would you like?

Mark

jerrylamos (jerrylamos) wrote :

Kernel 2.6.27-3 fails on IBM Thinkpad R31. Boot goes normally to the point that Gnome 2 background should load, then everything goes dead. Screen is blank except for cursor which still works, however keyboard is totally dead. Only key that works is power off.

Alpha 3 ran. Alpha 4 failed this same way. Early Alpha 5 kernel 2.6.27-2 ran O.K., installed O.K., then selected the update applet which installed 2.26.27-3 and no longer runs, fails the same way as today's CD Live:

Today's 20080918 CD Live, same results. Boot goes until Gnome background should load and then keyboard goes dead, screen is black, etc.

I'm downloading Alpha 6 now and will try it tomorrow.

Moral: update applet killed the install. Don't do any more updates! Good thing dual boot still works so I have a running 2.6.27-2 until (if) a CD Live works first.

Jerry

jerrylamos (jerrylamos) wrote :

Alpha 6 hangs same place, after Ubuntu logon, and brown screen, then screen goes black and keyboard is dead. The IBM Thinkpad R31 is hung altogether, except for power off key.

CD Live and installed Alpha 3 worked, CD live and installed Alpha 5 worked until an update that put in 2.6.27-3 a few days ago. Alpha 5 2.6.27-2 works (that's what I'm using as I enter this comment) so long as I don't permit any updates.

Alpha 4 & Alpha 6 both hung. Since these are CD Live, no way to see any logs or messages.

Booting with quiet & splash off, everything looks normal, it gets the command prompt where startx would be issued, X comes up successfully, then where the Gnome 2 background should show the xcreen goes black and keyboard dead.

Any ideas of things to try?

Jerry

MarkN (mark-needham) wrote :

Confirm same symptoms again on Compaq Evo D51S, now with Alpha 6

Any specifics required?

Mark

jerrylamos (jerrylamos) wrote :

Tried Alpha 5 with sudo apt-get update and sudo apt-get upgrade. Same hang as Alpha 6.

Booting the installed upgraded Alpha 5 in recovery mode, can select command prompt and linux is working fine in command line mode. Issue sudo startx and the hang occurs.

Any idea of logs or anything that would be of help? Seems to me when it hangs up it doesn't report anything since it's dead.

Jerry

Same here. Compaq D51S EVO - I tried a CTRL-ALT-F1 quickly after completing the login and came back later to find a desktop. Another time I came back too quick to see the panels go away leaving me with an empty desktop and a useless mouse cursor. Same error "gnome-wm.desktop failed to register".

jerrylamos (jerrylamos) wrote :

Booted the originally installed Alpha 5 in recovery mode. Comes up fine in root shell prompt.
sudo apt-get install update which downloaded & installed a bunch. No help, normal boot still hangs.
sudo apt-get install upgrade which downloaded & installed a bunch. No help, normal boot still hangs.
This is now kernel 2.6.27-4 after the upgrade. Still fails same way.
Did "Fix Broken Packages" which downloaded and installed a bunch. No help, normal boot still hangs.
All this updating took quite a few minutes with many megabytes downloaded and installed.
Boots fine to root shell prompt. Startx starts X windows fine, then when Gnome tries to load the background everything hangs up tight.

Jerry

Looks like the latest update has solved the problem.

jerrylamos (jerrylamos) wrote :

Alpha 6 20081001 still fails.
-- CD Live freezes with black screen where Gnome 2 should have loaded background. It did get past the Ubuntu logon screen which is a bit farther along.
-- Install actually worked. I don't think it uses Gnome 2.
-- Booting the install fails. Here's some ugly messages from daemon.log:

Oct 1 10:36:58 Thinkpad avahi-daemon[4638]: Registering new address record for 192.168.0.3 on eth0.IPv4.
Oct 1 10:36:58 Thinkpad dhclient: bound to 192.168.0.3 -- renewal in 42075 seconds.
Oct 1 10:36:59 Thinkpad NetworkManager: <info> (eth0): device state change: 7 -> 8
Oct 1 10:36:59 Thinkpad NetworkManager: <info> Policy set (eth0) as default device for routing and DNS.
Oct 1 10:36:59 Thinkpad NetworkManager: <info> Activation (eth0) successful, device activated.
Oct 1 10:36:59 Thinkpad NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) complete.
Oct 1 10:37:00 Thinkpad ntpdate[5706]: adjust time server 91.189.94.4 offset 0.058447 sec
Oct 1 10:37:05 Thinkpad x-session-manager[5564]: WARNING: Unable to find provider 'gnome-wm' of required component 'windowmanager'
Oct 1 10:37:10 Thinkpad avahi-daemon[4638]: Registering new address record for fe80::200:e2ff:fe81:a0eb on eth0.*.
Oct 1 10:37:16 Thinkpad x-session-manager[5564]: WARNING: Application 'gnome-wm.desktop' failed to register before timeout
Oct 1 10:37:27 Thinkpad x-session-manager[5564]: WARNING: Application 'libcanberra-login-sound.desktop' failed to register before timeout
Oct 1 10:37:28 Thinkpad hcid[5231]: Default passkey agent (:1.22, /org/bluez/passkey) registered
Oct 1 10:37:28 Thinkpad hcid[5231]: Default authorization agent (:1.22, /org/bluez/auth) registered

I'm an "ordinary desktop user", not a developer, however "Application 'gnome-wm.desktop' failed to register" looks bad to me.

Jerry

jerrylamos (jerrylamos) wrote :

If I do a Ctrl-Alt-F1 just after the login screen, the command line displays O.K.
I then listen for boot to complete. When activity stops, I do a
Ctrl-Alt-F7 then the Gnome desktop displays, background, top & bottom lines, the whole bit. For about a second. Then everything goes black again.
Same thing in both CD Live and Install.

daemon.log had an interesting entry:

Oct 1 11:54:17 Thinkpad x-session-manager[5571]: WARNING: Unable to find provider 'gnome-wm' of required component 'windowmanager'

Maybe that's why Xubuntu and Kubuntu run and Ubuntu-Gnome doesn't.

Jerry

Aaron (magicrobotmonkey) wrote :

I have the same behavior on a dell dimension 5400 desktop. (about 3-4 years old). Switching to tty1 and back does the same thing, I see the panels for a flash and then they disappear. Watching daemon.log, I think the following line appeared when i switched back, not sure if it was a coincidence or not:

Oct 5 15:19:44 compy086 acpid: client connected from 5404[0:0]

jerrylamos (jerrylamos) wrote :

Beta also fails on the IBM Thinkpad R31, see bug 277344.

I'm guessing there are going to be lots of machines with similar failures.

Thanks for your comment.

Jerry

jerrylamos (jerrylamos) wrote :

Workaround for Beta:

Besides:

sudo apt-get remove compiz
sudo apt-get remove compiz-core

I had to edit:

/etc/X11/default-display-manager
#/usr/sbin/gdm

otherwise Firefox gets an authority error and crashes.

switcher also won't load so I start a command line to halt or reboot.

I'll probably find some other bugs as well but at least it's running, first time since initial Alpha 5. An update to Alpha 5 creamed Compiz for the Thinkpad, most likely Compiz since it works without it.

Jerry

Can this be reproduced in the latest version of Intrepid? I don't have any type of portable system to test the daily image on.

Thanks for helping.

jerrylamos (jerrylamos) wrote :

As of 200891016 build still fails, both CD Live and installed. I can't do a CD on 20081019 or 20081020 because of oversize. I don't know how to overburn to squeeze 701.6 onto a 700 CD, nor do I know how to remove Gnome games from the iso.

On 200816 I was able to get CD Live to boot by watching for when X windows initiated, quick do a couple
Ctr;Alt-F1 for command line, then
sudo apt-get remove compiz
sudo apt-get remove compiz-core
Ctrl-Alt-F7 to continue.

On install, check to see if it failed. It did. Boot in rescue mode
select root command line
sudo apt-get remove comp;iz
sudo apt-get remove compiz-core
exit
resume
then boots to Gnome desktop. After removal, then the install just normally boots to desktop O.K.

If you have any alternatives I could install compiz and try again. The laptop is dual boot so I can boot on Beta install, get a failure, then boot on Alpha 5 NOT UPDATED and look around logs, .xsession-errors, etc.

Thanks for your attention. Jerry

See also bug 277344. I sure could use a CD Live boot option to not use compiz.

Thanks for looking at this bug. Jerry

Confirming this bug report. There should be enough information for the developers to work this issue.

Changed the summary to reflect correct description; added WorkAround to description.

Thanks for helping to improve Intrepid_Ibex.

description: updated
Jeffrey Seguerra (jepong) wrote :

Release Candidate has been announced... https://wiki.ubuntu.com/IntrepidIbex/RCAnnouncement

Have they fixed compiz already?

Download full text (3.9 KiB)

 I think that announcement is premature.? The latest community bulletin follows.? I don't expect RC unitil 10/30.
Jerry

Message: 4
Date: Thu, 23 Oct 2008 02:31:28 +0100
From: Colin Watson <email address hidden>
Subject: Surprises ...
To: <email address hidden>
Message-ID: <email address hidden>
Content-Type: text/plain; charset="us-ascii"

... we'd rather not have any. Release preparation is a painstaking
business! Please read this mail carefully.

Right now, this is our list of release-critical bugs (that *must* be
fixed or deferred before release):

  https://bugs.launchpad.net/ubuntu/intrepid/+bugs?field.milestone=1326

We're also paying a good deal of attention to the list that includes
targets of opportunity as well:

  https://bugs.launchpad.net/ubuntu/intrepid/+bugs

As we come up towards release, we need to be especially careful about
managing these lists, and developers can help by making sure that they
contain all the relevant bugs, and *only* the relevant bugs. Here are
some general guidelines for release-relevant bug management:

  * If you have an important bug on your plate that should be fixed for
    8.10 final but that isn't on /ubuntu/intrepid/+bugs, then we need to
    know about it NOW. Nominate or target it for the intrepid release
    (depending on your privileges), and find a member of the
    ubuntu-release team on IRC to acknowledge it. Depending on the size
    of the package and the riskiness of the update, we may say no or
    suggest some kind of alternative, but we'd much rather know than be
    surprised.

  * If you have any kind of upload to do before 8.10 final, then get it
    into the upload queue *as soon as possible* (it will be held there
    for approval). Anything uploaded later than the end of this week has
    a substantially decreased chance of being accepted, as at the start
    of next week we will need to lock down the archive completely for
    final builds and testing, and there is little room for error.

    As far as main and restricted go, this is generally only appropriate
    for language packs and critical/high targeted bugs; contact the
    ubuntu-release team in case of doubt. For universe and multiverse,
    contact motu-release or the relevant flavour delegate (see
    https://lists.ubuntu.com/archives/ubuntu-devel/2008-September/026306.html).
    Resist the temptation to bundle non-release-critical fixes with your
    upload; those increase both the risk of regressions and the risk
    that the release team will say no.

  * If the bug is on /ubuntu/intrepid/+bugs and isn't going to be fixed
    in the 8.10 series at all (neither in the main release, nor in an
    update) then mark the intrepid task "Won't Fix". If necessary,
    Launchpad will create a new task filed against the relevant package
    without a release when you do this.

  * If the bug is on /ubuntu/intrepid/+bugs and won't be fixed in the
    main 8.10 release, but is expected to be fixed in a post-release
    update, then set the 'intrepid-updates' milestone.

  * If the bug isn't going to be fixed for 8.10 but its presence is
    likely to cause trouble for a significant number of u...

Read more...

No. I can confirm this bug still exists on today's build. See bug 288370.

Please see bugs marked duplicate of this one for additional info about hardware affected.

At least myself and one other that are experiencing this problem did NOT experience it with Compiz enabled in previous versions of Ubuntu.

Compiz is apparently enabled by default, so this is a showstopper for new users.

I can also confirm that this bug still exists in today's RC.

Michael, can you look into this please?

Changed in compiz:
assignee: nobody → mvo
jbrsks (jkras) wrote :

Confirmed on the same VGA as Aero Leviathan, (Intel Corporation 82845G/GL[Brookdale-G]/GE)
 IBM thinkpad R31 is Intel Corp. 82830 CGC, as is Compaq referenced above if this helps.

philwyett on IRC requested that I attach my .xsession-errors.

Sorry, this one.

Changed in xserver-xorg-video-intel:
status: New → Confirmed
everygamer (bchayes) wrote :

I can confirm that this is happening with a Dell Optiplex that I have with the Intrepid RC1 release. System boots up, I get the Login splash screen. Put my username and password in and then it shows the light tan screen, then goes black screen and everything in the system is locked (keyboard, HDD, etc) except the USB mouse that I use, I can move the cursor around but the system never gets the windows manager up and running.

 I will try the workarounds from above later to get to the logs and post them.

For me, having compiz enabled caused exactly the same behaviour. I suppose you can log in to a failsafe Gnome session and use Alt+F2 > metacity --replace in order to establish graphical sessions until the bug gets fixed...

jerrylamos (jerrylamos) wrote :

For a number of people (like me) the failure occurs so soon login & Alt+F2 can't be issued.

The metacity --replace & is only temporary and must be repeated on each boot.

sudo alt-get remove compiz & compiz core fixes it permanently. The side effects are a slight increase in speed since the compiz code doesn't get executed, and less "eye candy" if that matters to you.

jerry

Thanks for your bugreport and sorry that this was not on the radar before.

I uploaded a new compiz that adds the i830MG and i845G video cards to the blacklist. The pci ids are:
8086:3577
8086:2562

please check with "lspci" if that matches your system if you have this problem.

The upload will only make it into intrepid-proposed/updates unfortunately. For early testing I put it into:
"deb http://ppa.launchpad.net/compiz/ubuntu intrepid main"

If your system is affected, please try to start compiz after the new packages got installed and verify that it refuses to start.

Thanks,
 michael

Michael Vogt (mvo) on 2008-10-28
description: updated
Michael Vogt (mvo) wrote :

Here is a draft for the release notes:

== Desktop effects and Intel 830MG and 845G video cards ==

There is a bug in the intel video driver for the older intel 830 and 845 integrated video cards that are used on laptops like the IBM R30. Desktop effects with compiz will not work on those chips and freeze the system. Please install using the safe graphics mode (press F4 in the startup screen) on these systems and disable desktop effects via "System/Preferences/Appearance" and click on "Visual effects" and "None".

Changed in compiz:
importance: Undecided → Medium
milestone: none → intrepid-updates
status: New → In Progress
jbrsks (jkras) wrote :

Forgive, but I am not sure if intrepid-proposed/updates will be in effect for people upgrading rather than fresh install. If the fix will not be in place, then the release notes should address upgraders as well.
(maybe "reboot to safe graphics mode...)

Can't test the fix at present as I don't have access to the affected system right now.

jbrsks [2008-10-28 12:39 -0000]:
> Forgive, but I am not sure if intrepid-proposed/updates will be in
> effect for people upgrading rather than fresh install.

People who upgrade will generally upgrade straight to
intrepid-updates. So we need to make sure to allow the compiz upload
to intrepid-proposed right after the release, and then test it
quickly, so that it can move to -updates.

IBM Thinkpad R31 lspci shows Intel 82830 CGC rev4

This is a Release Candidate install from CD daily build 20081024 which fails to load desktop & freezes unless compiz removed by booting in recovery mode, select root shell prompt apt-get remove compiz & core.

It was updated earlier today. I didn't see compiz mentioned.

With synaptic which has Pre-released updates (intrepid-proposed) checked installed compiz version 1:0.7.8-0ubuntu4
Visual Effects normal, desktop disappeared immediately. Laptop frozen.

Rebooted, compiz still installed, fails to load desktop & freezes.

Removed compiz with rescue mode boot root shell prompt. Running O.K.

I can try a new version of compiz if someone would explain how to get it, preferably with an apt-get syntax.

Thanks for looking at this bug. Jerry

My machine is an HP Pavilion minitower, not a laptop. The model number is A210N. Not sure how this might relate to the release notes text, maybe just add '...and some older desktops' to it. (It is about... 5 years old, I guess. How time flies.)

The maintainer(?) for the video card driver should also be made aware of this, because it is a regression.

As an addition to Jerry's and Aero's posts:

My desktop machine's Compaq Evo D 510 SFF (a.k.a. D51S, mentioned earlier a couple of times in this thread, with "VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)") and the problem persists in Intrepid, all updates done. Compiz version: 1:0.7.8-0ubuntu4. I do have intrepid-proposed enabled. I second Jerry's words:

"I can try a new version of compiz if someone would explain how to get it, preferably with an apt-get syntax."

However, I would like to add (or repeat) that this Compiz issue is not the only problem with the intel driver in my desktop machine, because in most cases, logging out or trying to change user (FUSA) results in a blank (black) screen, GDM sound heard but nothing to be seen (have to Ctrl+Alt+F1 out of the situation). See LP # 221119:

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/221119/comments/23

This also happens with my laptop, the graphics card is Intel Integrated Graphics 945GM.

Lee

Steve Langasek (vorlon) wrote :
Changed in ubuntu-release-notes:
status: New → Fix Released
jerryb (gerald-britton) wrote :

I have an i830 in my older desktop. (8086:2562). Until Intrepid, I ran Compiz just fine. SInce Intrepid, it fails consistently.

Martin Pitt (pitti) on 2008-10-31
Changed in compiz:
milestone: intrepid-updates → none
status: In Progress → Fix Committed
Martin Pitt (pitti) on 2008-11-03
Changed in compiz:
milestone: intrepid-updates → none
status: In Progress → Fix Released
milestone: none → intrepid-updates
Martin Pitt (pitti) on 2008-11-06
Changed in compiz:
status: Fix Committed → Fix Released
Changed in yelp:
status: New → Invalid
status: New → Invalid
80 comments hidden view all 160 comments

I also have this problem. I'm using an integrated Intel chipset:

00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)

manzur (sl-solaris) wrote :

i got two more things two say:
1. jerrylamos, the intel driver were not working good in hardy, because i could not change my screen resolution in a CRT monitor, i should say that this issue about changing screen resolution has being fixed in intrepid but the only problem i have now, it is this: https://bugs.launchpad.net/bugs/294482

2. i was trying fedora (i don't know if it is working with "xorg" can any one tell me?, because i have to say it freezes at login screen.

i'm waiting for your answer... :)

Reed (wrkerr) wrote :

First of all, thanks for the great work everyone, for getting this issue to a workable state. It really is a beautiful thing in the open source world when bug reporting and developer insight work together to bring about betterment for all.

This weekend, I tried to install 8.10 on my brother-in-law's computer, and we ran into this issue. This page helped me through the problem, and so I'm very grateful. My question is, I'd like to keep an eye on the i845/compiz issue, so when things are sorted out, and Visual Effects are working again, we can reinstall compiz on his system and enjoy the eye-candy. Is this where I should be watching for updates on the issue, or is there another bug report I should be following?

Thanks in advance.

jbrsks (jkras) wrote :

So in regards to the question as to where the bug originates:
I just installed Arch to the affected system, and when installing, could only get X running with i810 driver. xf86-video-intel wouldn't do it. Didn't install compiz or any 3D effects at all. My interpretation is that this implies that somehow it is a bug in the changes to X and the driver, though it makes mysterious the reason why disabling compiz is a successful workaround.
I am very confused...

Reed (wrkerr) wrote :

It sounds like you may be experiencing a different issue. On Ubuntu 8.10, at least, the intel driver works fine for all chipsets EXCEPT the three mentioned above. On those three, once compiz is disabled, the intel driver works fine again.

Work appears to be ongoing regarding finding a fix for running compiz on these specific problematic cards.

manzur (sl-solaris) wrote :

canonical, please! fix this issue as fast as possible...
God bless you!

jerrylamos posted:

"On install, check to see if it failed. It did. Boot in rescue mode
select root command line
sudo apt-get remove comp;iz
sudo apt-get remove compiz-core "

This fixed the problem for me. Thanks Jerry and all for finding a solution to the gnome hang upon login problem!

Charlie

Changed in xserver-xorg-video-intel:
importance: Undecided → Unknown
status: Confirmed → Unknown
Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed
Bryce Harrington (bryce) wrote :

To those still commenting on this bug, please note that it's marked 'Fix Released'. No one is tracking this bug report any longer, so any comments you make here will not be read. Please follow Martin Pitt's directions in comment #114 and file a new bug.

One of the problems with this bug report is that its title describes a generic symptom, that can result from a wide array of different completely unrelated bugs. So everyone thinks they have "this same bug" when really they just have a similar symptom. This is why we always ask people to file bugs separately, and not "me too" onto another bug, since you may not have the same bug, and when it gets fixed your issue will not get investigated.

Siegfried Gevatter (rainct) wrote :

/me has just filed bug #309849 for the Intel 82845G/GL integrated video chipset.

manzur (sl-solaris) wrote :

please follow this bug report https://bugs.launchpad.net/ubuntu/+bug/309860

glennric (glennric) wrote :

Bryce: Look a little closer. The bug is marked as 'Fix Released' for Compiz, but not for xf86-video-intel. That is where the real bug is. That has finally been assigned at least. The compiz fixes were merely workarounds. It seems pretty said to me that a bug would be closed while even some part of it is marked confirmed and not fixed. If that is the case this bug tracker concept has failed and launchpad needs to rethink how it is set up.

Perhaps the title is a bit vague, and "seemingly" indicative of a variety of problems, but that is why there is a more detailed response. Also that is the point of allowing others to comment on the bug, and how it "seems" to affect them also.

wangker (272788089-qq) on 2009-02-26
Changed in yelp:
assignee: nobody → 272788089-qq
Steve Langasek (vorlon) on 2009-02-26
Changed in yelp:
assignee: 272788089-qq → nobody

Removing Jaunty target for this bug.

We already have blacklisting for the 830 and 845 chips, so there is nothing more for us to do at the distro level.

As these pre-855 chips are obsolete, upstream does not prioritize support for them, thus it is not expected that the root issue will be fixed by upstream. The level of effort required for fixing 8xx issues is greater than can be done at the distro level (such time is better invested in the more commonly used 9xx chips).

However, I'm not going to wontfix the entire bug, in case community members wish to work on the bug. If a community developer comes up with a good patch for the problem, I'd be open to including it for Ubuntu (particularly if the patch is also accepted upstream.) But even if this happens, it's too late for inclusion in Jaunty.

Changed in xserver-xorg-video-intel (Ubuntu Jaunty):
status: Triaged → Won't Fix
glennric (glennric) wrote :

I finally figured out how to get compiz working on a computer with an intel 845 chip that is running intrepid.

Make the device section of your /etc/X11/xorg.conf file read as follows:
Section "Device"
 Identifier "Configured Video Device"
 Driver "intel"
 Option "AccelMethod" "XAA"
EndSection

You will also have to remark out the line in the file /usr/bin/compiz that reads:
T="$T 8086:3577 8086:2562" # Intel 830MG, 845G (LP: #259385)

Daniël H. (daan-is-here) wrote :

@glennric: great. But is the desktop still usable (in terms of speed)?

glennric (glennric) wrote :

Daniël H: I can not see a difference in speed from running compiz with the modified xorg.conf now, and when I was running compiz in Hardy on that computer. Of course it does slow the desktop down a little from when compiz is not being run. From what I have read the option that is set in the modified xorg.conf was the default before and did not need to be set manually. I think that what caused the problem to begin with is a change in the xserver that caused it to not set the correct default options for these cards.

Beautiful work Glennric!

I'd given up hope for a fix after the recent Jaunty discussion. Your
solution works beautifully -- compiz runs perhaps more smoothly / quickly
than before, to answer Daniël's question. (But it's been four months since
compiz ran on this machine so I can't be sure.)

The obvious question perhaps:
Given that the fix is so simple -- a single line in xorg.conf -- what are
the odds of reinstating it for Jaunty?

--
John E.

On Sun, Mar 29, 2009 at 9:49 PM, glennric <email address hidden> wrote:

> I finally figured out how to get compiz working on a computer with an
> intel 845 chip that is running intrepid.
>
> Make the device section of your /etc/X11/xorg.conf file read as follows:
> Section "Device"
> Identifier "Configured Video Device"
> Driver "intel"
> Option "AccelMethod" "XAA"
> EndSection
>
> You will also have to remark out the line in the file /usr/bin/compiz that
> reads:
> T="$T 8086:3577 8086:2562" # Intel 830MG, 845G (LP: #259385)
>

Hi together,

since the thread started with an Thinkpad R31 with i830M graphics chipset and I am fiddeling arround with this issue for a long time and found only ONE stable solution. So I just like to add my xorg.conf for this older chipset running on Ubuntu Intrepid Ibex / 8.10:

* using XAA for acceleration method
* enabled DRI
* running with metacity compositing manager

For Jaunty 9.04 - as long for the beta 1 - I can say, that only disabling DRI in the xorg.conf prevent's the machine from freezing. Dispite of this fact, it is possible to use the metacity compositing manager.

Greets Axel

Very good job! Finally I can run compiz again. I do notice some performance
difference, but my PC isn't a great workhorse so I think it's ok. Anyway
thanks for the good work and let's see if for Jaunty there's no need to
modify files manually.

glennric you wrote ...."You will also have to remark out the line in the file /usr/bin/compiz that reads:
T="$T 8086:3577 8086:2562" # Intel 830MG, 845G (LP: #259385)"

What do you mean by this, what does this do?

Paul Dufresne (paulduf) wrote :

This bug was fixed by adding this line in /usr/bin/compiz:
T="$T 8086:3577 8086:2562" # Intel 830MG, 845G (LP: #259385)"

This tells to not allow compiz to run on intel 845 and 830 chipsets.
(use metacity instead I thinks).
Like writeen in the file, read http://wiki.compiz-fusion.org/Hardware/Blacklist for more infos.

I believe glenric is a better way to fix this bug.
But as this bug is closed, I open a new one to suggest to use the glenric's workaround:
https://bugs.launchpad.net/bugs/355441

Bryce Harrington (bryce) on 2009-04-20
summary: - [i845] Intrepid Compiz hangs on login for i830MG, i845, (and i945GM?)
+ [i845] Intrepid Compiz freezes on login for i830MG, i845, (and i945GM?)
video cards
Bryce Harrington (bryce) on 2009-05-06
tags: added: freeze
tags: added: compiz

Can you guys please test this on karmic with the xorg-edgers PPA installed? In theory the new intel stack should work better on these old cards, because upstream has fixed a slew of 8xx issues.

jerrylamos (jerrylamos) wrote :

Bryce,

I'm not sure what you want tested. I looked at the notes preceding yours and they mentioned a bunch of different things to try.

Perhaps you mean the (Bleeding-Edge) in ubuntuforums Jaunty Intel Performance Guide?

Here's where I am. Everything's running karmic updated as of today, however there haven't been many updates the last few days.

i845 on this IBM ThinkCentre A30 tower 2 gHz Celeron 1 gb memory with karmic will run:

Driver "Intel"
Option "AccelMethod" "uxa"
Option "Tiling" "false" # tiling scrambles up GlxGears display

it runs GtkPerf of 38 to 41. Flash video jerky.

With
Driver "vesa"

it runs GtkPerf of 28 to 29. Flash video jerky.

(!). Go figure. Obviously I run with "vesa" on the i845, except for testing purposes.

I'm into applications, firefox, flash video internet news, openoffice write & calc, internet mail, digital picture manipulation, ... so I consider Compiz a hindrance because it steals CPU cycles for fancy desktop effects. Hence I turn it off even on the pc's where it will work.

i830 on IBM Thinkpad R31 1.0 gHz Celeron karmic

Driver "vesa" gets flickering black screen. Can't use "vesa".

With default driver 2.7.0 which says it is for i830M etc. in Xorg.0.log I assume it's running "uxa".

GtkPerf is about 35. Flash video jerky.

On Thinkpad T40 ati video GtkPerf is about 13. That's a 1.5 gHz Pentium, karmic. Flash video good.
On Compaq Presario ati video 3.3 gHz GtkPerf gets 10 or a little less. Flash video nice.

Conclusion the i845 Celeron 2.0 gHz is relatively slower which was my opinion even on XP.

Jaunty and Karmic have not been usable on the i830 because of "font smear", see Bugzilla bug 21415. Intrepid runs fine, granted I don't do Compiz.

They claim to have a fix in process but I don't know how to test it, or whether Ubuntu will pick up the fix. Do you have any clue?

Let me have a go at karmic with (Bleeding-Edge) suggestions on the i830. It's a bit of a slog to do much with the fonts smearing all the time making it hard to read the screen. i845 should be doable if I can understand & follow the myriad steps.

Thanks, Jerry

jerrylamos (jerrylamos) wrote :

Edgers on i839 put in driver Intel with 1.6.1.901 version 2.7.99

Gtkperf slowed way down from 35 to 65. Oops, wrong way.

Tried downgrading to get back to previous level. Didn't work, still 2.7.99 lousy performance.

So I'm putting Alpha 1 Alternate CD back on it, hope to get back to where it was before edgers.

Jerry

Saivann Carignan (oxmosys) wrote :

Bryce Harrington : compiz still freeze the computer on karmic alpha 2 with all updates from xorg-edgers ppa (i915 and drm modules restarted, X stopped and restarted)

I tested this on that hardware :
00:02.0 VGA compatible controller [0300]: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device [8086:2562] (rev 01)

Feistybird (bryanjen-tw) wrote :

My Compiz is now working flawlessly again since yesterday's Compiz-Core Upgrade to V1.0.8.2-0ubuntu8.1

ChipSet:
Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 03)

Kernel:
Ubuntu 9.04 Jaunty Jackalope - Kernel 2.6.30-020630-generic

Xorg & Intel Driver Version:
(II) Module intel: vendor="X.Org Foundation"
 compiled for 1.6.0, module version = 2.7.1
 Module class: X.Org Video Driver
 ABI class: X.Org Video Driver, version 5.0

Note: I run compiz using "fusion-icon" and not from the Ubuntu default "Appearance Settings => Visual Effects"

Bryce Harrington (bryce) wrote :

Because the upstream report for this focuses on i845, I'm limiting the scope of this bug report to i845 as well. Freezes with i830 and other cards should be reported separately.

Fwiw, the way to troubleshoot -intel freezes is to collect a batchbuffer dump. Directions on this are posted at:

https://wiki.ubuntu.com/X/Troubleshooting/Freeze#How to Get a Batchbuffer Dump (-intel only)

summary: - [i845] Intrepid Compiz freezes on login for i830MG, i845, (and i945GM?)
- video cards
+ [i845] Intrepid Compiz freezes on login for i845
Changed in xserver-xorg-video-intel (Ubuntu Jaunty):
status: Won't Fix → Confirmed
Steve Langasek (vorlon) on 2009-08-05
Changed in xserver-xorg-video-intel (Ubuntu Jaunty):
status: Confirmed → Won't Fix
Bryce Harrington (bryce) on 2009-08-13
tags: added: intrepid
jerrylamos (jerrylamos) wrote :

This bug is similar if not the same as bug #406460 on this i845. There is a batchbuffer dump, Xorg.0.log, xsession-errors, dmesg in #406460.

Note karmic A4 fails same way. Workaround is to use Driver "vesa" in /etc/X11/xorg.conf.

Jerry

Jerry - this is *NOT* the same bug as yours. Compiz is not in use here.

Besides,. I'm booting a live CD. I don't see any /etc/X11/xorg.conf to be
modified. Please explain if I'm missing something. My HP desktop is still
running 8.04LTS.

Guy

On Sat, Aug 15, 2009 at 9:52 PM, jerrylamos <email address hidden> wrote:

> This bug is similar if not the same as bug #406460 on this i845. There
> is a batchbuffer dump, Xorg.0.log, xsession-errors, dmesg in #406460.
>
> Note karmic A4 fails same way. Workaround is to use Driver "vesa" in
> /etc/X11/xorg.conf.
>
> Jerry
>
> --
> [i845] Intrepid Compiz freezes on login for i845
> https://bugs.launchpad.net/bugs/259385
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

jerrylamos (jerrylamos) wrote :

Guy,

Ubuntu developers simply blacklist compiz on 8.10 Intrepid and don't start it on the affected processors. Same thing on 9.04 jaunty and 9.10 karmic. Compiz won't even start on the later ubuntu's for video drivers that don't support compiz.

The CD's for various releases are easy to download if you want to try them. Go to http://cdimage.ubuntu.com/cdimage/releases/ and take your pick. I find the later releases have more features and run better with some exceptions on some machines. karmic 9.10 is in process of development so it has lots of problems still. Maybe that's why I run it. The karmic A2 alpha 2 version of karmic isn't bad, A3 and A4 need a bunch of workarounds to function. karmic doesn't release until October so most bugs should be out by then.

By the way, compiz is "eye candy" and has nothing to do with internet, word processors, spreadhseets, digital pictures, email, ... compiz adds some inline graphics effects so it does slow down performance a bit.

What I did when booting CD on the levels that had trouble with compiz was boot in recovery mode, i.e. at grub boot menu, do F6 then replace "quiet splash" with "single" which boots in recovery mode. Then on the recovery mode menu root prompt selection (might have to down arrow for that selection) do apt-get remove compiz compiz-core. Then exit and resume.

On /etc/X11/xorg.conf, what the developers decided was the "default" was good for them so they decided not to put in an /etc/X11/xorg.conf for the rest of us who are having problems. I copy one in from another ubuntu. If you want to experiment, you could from the CD recovery mode root prompt:
nano /etc/X11/xorg.conf
Section "Device"
        Identifier "Configured Video Device"
        Driver "vesa"
EndSection
Ctrl-o
Ctrl-o
Ctrl-x
exit
resume boot

vesa is a default basic driver which on my pc's runs on i845, ati radeon mobility 7500, ati radeon Xpress 200, but not on intel i830.

Jerry

Guy Stone (stoneguy3) wrote :

Looks I'm either the first to try i845 user to try Karmic Alpha5, or everyone else is giving up seeing this bug properly repaired.

The good news is that booting with acpi=off allows the boot to complete the desktop. That's progress.

The bad news is that once you're at the desktop, performance is ghastly. top shows xorg sucking back 99% cpu during a screen update, which can take 5-10 just switching focus.

See tarfile for logs etc.

jerrylamos (jerrylamos) wrote :

Karmic A5 CD on my i845 couldn't get by the first boot screen. Nothing on the keyboard worked. The CD did boot and run on my two ati pc's so the CD burn was O.K. A5 is the same as daily build 20090902.

Daily build CD 20090905 booted and died on the i845. I usually have to put in "nomodeset" on the linux line in the boot, and add a /etc/X11/xorg.conf specifying driver "vesa". On my pc's karmic "vesa" performance is slower than intrepid while the intel driver if it runs at all can be two or three times slower than "vesa". I can get the intel driver to run somewhat by specifying DRI 0 however that is pig slow, namely 95.6 seconds to do benchmark GtkPerf from Synaptic while vesa runs it in 32.2 seconds.

Compiz itself I haven't run since Intrepid had trouble with it, and jaunty had it blacklisted for intel drivers. I usually run full screen applications so "eye candy" compiz doesn't do anything except insert extra in-line code to video applications.

This bug is about i845, but do note i830 hangs with a frozen gdm desktop. I'll try acpi=off, thanks.

Jerry

Saivann Carignan (oxmosys) wrote :

Settings back compiz to "Confirmed" as bug 385398 un-blacklisted the card.

Changed in compiz (Ubuntu):
status: Fix Released → Confirmed
Travis Watkins (amaranth) wrote :

According to upstream DRI should actually be disabled on these devices? Is that the case in karmic?

useResa (rdrijsen) wrote :

I am running Karmic, fully updated, on a Dell Dimension 2300 with the indicated Intel card see below result of lspci -vvnn command:
00:02.0 VGA compatible controller [0300]: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device [8086:2562] (rev 01)

I have the following version of compiz installed (partial output of aptitude show):
Package: compiz
State: installed
Automatically installed: no
Version: 1:0.8.3+git20090917-0ubuntu2
and the following version of the intel driver package:
Package: xserver-xorg-video-intel
State: installed
Automatically installed: no
Version: 2:2.8.1-1ubuntu1

I can confirm that the intel driver no longer is blacklisted in compiz since the line has been commented out, see below:
# blacklist based on the pci ids
# See http://wiki.compiz-fusion.org/Hardware/Blacklist for details
#T=" 1002:5954 1002:5854 1002:5955" # ati rs480
#T="$T 1002:4153" # ATI Rv350
#T="$T 8086:2982 8086:2992 8086:29a2 8086:2a02 8086:2a12" # intel 965
#T="$T 8086:2a02 " # Intel GM965
#T="$T 8086:3577 8086:2562 " # Intel 830MG, 845G (LP: #259385)
BLACKLIST_PCIIDS="$T"

However, starting compiz, regardless whether I do this using System --> Preferences --> Appearance or by using the compiz-fusion icon results in a desktop without panels and a free of mouse and keyboard. Also adding the previously suggested option (AccelMethod XAA) to xorg.conf does not help and also results in the freeze.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.8.3+git20090917-0ubuntu3

---------------
compiz (1:0.8.3+git20090917-0ubuntu3) karmic; urgency=low

  * debian/compiz-manager:
    - reenable intel 845 blacklist (LP: #259385)
  * debian/patches/016_call_glxwaitx_before_drawing.patch:
    - Call glXWaitX before we start drawing to make sure X is done
      handling rendering calls. Suggested by Michel Dänzer to ensure
      we don't have any rendering glitches.
  * debian/patches/035_ignore_workspaces:
    - patch the right file to ensure users can't use workspaces instead
      of viewports (LP: #385446)

 -- Travis Watkins <email address hidden> Thu, 24 Sep 2009 13:53:04 -0500

Changed in compiz (Ubuntu):
status: Confirmed → Fix Released
useResa (rdrijsen) wrote :

This morning's (at least for me morning) updates resulted in new versions of compiz and xserver-xorg-video-intel packages.
compiz: Version: 1:0.8.3+git20090917-0ubuntu4
xserver-xorg-video-intel: Version: 2:2.8.1-1ubuntu2

I can confirm that indeed the intel 845G driver has been blacklisted again:
# blacklist based on the pci ids
# See http://wiki.compiz-fusion.org/Hardware/Blacklist for details
#T=" 1002:5954 1002:5854 1002:5955" # ati rs480
#T="$T 1002:4153" # ATI Rv350
#T="$T 8086:2982 8086:2992 8086:29a2 8086:2a02 8086:2a12" # intel 965
#T="$T 8086:2a02 " # Intel GM965
T="$T 8086:3577 8086:2562 " # Intel 830MG, 845G (LP: #259385)
BLACKLIST_PCIIDS="$T"
unset T

However ... IMHO ... this does not mean the bug is fixed. It means that with this action the symptom is prevented.
I would very much like that a solution would come in which the intel driver can be removed from the blacklist and that compiz will be working again.

manzur (sl-solaris) wrote :

can canonical deliver a new version of 8.10 in which released fixes are?

Travis Watkins (amaranth) wrote :

The bug is fixed as far as compiz can fix it. The bug is still open against the intel driver however.

Changed in yelp (Ubuntu Jaunty):
assignee: nobody → zoltaan.lukaacs (zoltaan-lukaacs)
status: Invalid → Fix Released
Martin Pitt (pitti) on 2009-10-13
Changed in yelp (Ubuntu Jaunty):
assignee: zoltaan.lukaacs (zoltaan-lukaacs) → nobody
status: Fix Released → Invalid
Changed in xserver-xorg-video-intel:
status: Confirmed → In Progress
tags: added: iso-testing
Bryce Harrington (bryce) on 2010-03-02
summary: - [i845] Intrepid Compiz freezes on login for i845
+ [i845] [i845] Intrepid Compiz freezes on login for i845
Bryce Harrington (bryce) on 2010-03-02
summary: - [i845] [i845] Intrepid Compiz freezes on login for i845
+ [i845] Intrepid Compiz freezes on login for i845
Bryce Harrington (bryce) on 2010-03-03
tags: added: kubuntu
Changed in xserver-xorg-video-intel:
importance: Unknown → Critical
jerrylamos (jerrylamos) wrote :

i845G and i830 run all ordinary applications, office, internet, internet video, ... without Compiz.

Blacklisting Compiz for them is just fine with me, since I usually check on install and set System Preferences Appearance Visual Effects None anyway.

Of course I'm interested in running applications full screen so I don't have any interest in desktop eye candy anyway. I do note from comments on the forum others are interested in desktop eye candy.

By the way, my i845G and i830 are running Mavierick Beta with i915.modeset=1, KMS active, O.K. not that I do anything with KMS or switching modes. See bug #541492.

Jerry

Bryce Harrington (bryce) wrote :

Apart from Compiz, there are known freezes on i845, which are being worked upstream, and will involve a fairly large change to the kernel. In theory, after that things will be much better for 8xx users, but this work is still in progress upstream. To simplify tracking here in Launchpad I'm duping together all the 845 freeze bugs to the master. Those of you interested in getting functionality on 845 I'd encourage to participate in the upstream testing. See the new master bug for details.

Displaying first 40 and last 40 comments. View all 160 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.